Bug 1459632 - [RFE] Add instructions to show exactly how to retire old Sat5 and attach it's subscription to new Sat6
[RFE] Add instructions to show exactly how to retire old Sat5 and attach it's...
Status: ASSIGNED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Transition Guide (Show other bugs)
Unspecified
All Linux
low Severity low (vote)
: GA
: 6.X
Assigned To: Sergei Petrosian
Stephen Wadeley
: FutureFeature
Depends On:
Blocks: 1470081
  Show dependency treegraph
 
Reported: 2017-06-07 12:12 EDT by Billy Holmes
Modified: 2017-08-18 01:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Billy Holmes 2017-06-07 12:12:29 EDT
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/transition_guide/

Section Number and Name:

CHAPTER 3. TRANSITIONING FROM SATELLITE 5 TO 6

Describe the issue: 

Scenario:
1) The customer has INSTALLED a parallel Sat6 server using the Transition SKU

2) The customer has SETUP the new Sat6 server using various methods, but all needed attributes, organizations, locations, users, content views, repos, content, host groups, and other metadata is fully configured and operational.

3) The customer has MIGRATED all clients to the Satellite 6 server

4) The customer is ready to RETIRE the old Satellite 5 server.

Issue:
Instructions are missing that describe to the customer how to unregister the old Sat5 server and attach the real satellite subscription to the new Sat6 server.

Suggestions for improvement:

[Add text or a section with something like]

3.7 Retiring the old Satellite 5 server and disposing of the Transition SKU

On the customer portal:
* delete the real Satellite entitlement from the old Sat5 server
* delete the transition entitlement from the new Sat6 server
* attach the real Satellite entitlement to the new Sat6 server

On the new Sat6 server:
* run "subscription_manager refresh"
* or wait 24 hrs, but the refresh will fire it immediately.
* Ensure all the right channels are enabled/disabled.

Additional information: 
I couldn't find anything in the guides that say "this is how you retire the old Sat server and place the right entitlement on the new Satellite server."
Comment 1 Andrew Dahms 2017-06-22 00:04:56 EDT
Assigning to Sergei for review.

Sergei - this is a new section that we will need for the Transition Guide, and will require a little conceptual information and some investigation of the procedures in the Satellite 5 documentation as well.

I propose that we add the new section as outlined above, with an introduction that explains what the procedure is and when to run it (to decommission the old environment - not a requirement, but an optional step to clean everything up) - and the main steps themselves.

For each of the steps above, we'll need to look at the Transition Guide, then the Satellite 5 documentation such as the Installation Guide to see how these things are set up, then provide steps to delete them instead.

Let me know if you have any questions!

Note You need to log in before you can comment on or make changes to this bug.